My favorites | Sign in
Project Home Downloads Wiki Issues Source
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 381: We need a GWT 2.2.0 build of the incubator JAR.
23 people starred this issue and may be notified of changes. Back to list
Status:  New
Owner:  ----


Sign in to add a comment
 
Reported by rhicks...@gmail.com, Feb 16, 2011
What version of gwt and gwt-incubator are you using?

2.2.0

What OS and browser are you using?

Mac OS X 10.6.x/FF

Do you see this error in hosted mode, web mode, or both?

conpile
 
(If possible, please include a test case that shows the problem)

Hopefully using the test case you have generously provided, what steps will reproduce the problem?
1.
2.
3.

What is the expected output? What do you see instead?
 
Workaround if you have one:

Please provide any additional information below,  and thank you for taking the time and effort to report this issue, as good issue reports are critical for our quest to make GWT's new widgets and libraries shine.

Feb 18, 2011
#1 oldCoder...@gmail.com
Yes, it would be great to get a 2.2.0 build ASAP.  Thanks!
Mar 2, 2011
#4 Tapas.Ad...@gmail.com
I am not able to migrate to gwt 2.2 as incubator doesn't have a drop and I get a lot of compilations issues. I appreciate your effort of making the build for gwt 2.1 compatible.

Hoping for similar sort of help this time.
Mar 10, 2011
#6 hegip...@gmail.com
Attached new jar created with GWT 2.2.
gwt-incubator.jar
2.3 MB   Download
Apr 4, 2011
#7 dan...@gmail.com
Is there any chance of getting a recompiled 2.2.0 compatible version of the incubator deployed on Maven? It would be very helpful for other open source projects that are using the incubator and would like to upgrade to GWT 2.2.0. It is a burden to ask users to recompile the incubator as an additional step.
May 6, 2011
#8 ogt...@gmail.com
Does this gwt-incubator.jar works with gwt 2.3.0?
Jun 9, 2011
#9 gaojun1...@gmail.com
Does this gwt-incubator.jar solves the compile error with GWT 2.3.0 as following?

[ERROR] [gmx] - Errors in'jar:file:/C:/Documents%20and%20Settings/Administrator/workspace/GMX_HEAD/war/WEB-INF/lib/gwt-incubator-20101117r1766.jar!/com/google/gwt/gen2/commonwidget/client/DecoratorPanel.java'
Jun 27, 2011
#10 goalst...@gmail.com
I was able to compile in GWT 2.3 (also in GWT 2.2) using the gwt-incubator.jar file attached above.  This resolved the problem "java.lang.IncompatibleClassChangeError: Found interface com.google.gwt.core.ext.typeinfo.JClassType, but class was expected" described in this issue.  I was not using DecoratorPanel and so cannot confirm that problems involving that would be fixed.
Jun 28, 2011
#11 gaojun1...@gmail.com
The gwt-incubator.jar file above works fine for me in GWT 2.3
Sign in to add a comment

Powered by Google Project Hosting